# IRsUnknownMeshModifier Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | GetInputConnectorId (CONID *pConId)
HRESULT | ApplyTransformation ([in] IRdMesh *pMeshIn,[out, retval] IRdMesh **ppMeshOut)
HRESULT | GetMaximalDependentNeighborhood ([out, retval] RtUlong *pdwNbrs)
HRESULT | GetOrderingPriority ([out, retval] RtFloat *pfPriority)
HRESULT | GetModifierFlags (RtMeshModifierFlags *pFlags)

## Detailed Description

Base class for mesh modifiers.

- Implement these methods to create modifier that will work with mesh editor.

## Member Function Documentation

HRESULT IRsUnknownMeshModifier::GetInputConnectorId | ( | CONID * | pConId | ) |

Get modifier input mesh connector for traversing through mesh modifiers pipeline.

Parameters:

  | pConId | [in] Input connector ID.

Returns:
  Return S_OK if connector is valid.
  - Otherwise pipeline traversal will stop assuming that this modifier is editable shape.

HRESULT IRsUnknownMeshModifier::ApplyTransformation | ( | [in] IRdMesh * | pMeshIn,
|  | [out, retval] IRdMesh ** | ppMeshOut |
| ) |  |  |

Compute mesh directly without caching:

- the result should be computed as if mesh was set to connector defined by GetInputConnectorId.

Remarks:
  Method is used for calculating mesh parts for highlights or previews.

Parameters:

  | pMeshIn | [in] Input mesh.
  | ppMeshOut | [out,retval] Calculated mesh with modifications performed by this modifier applied.

HRESULT IRsUnknownMeshModifier::GetMaximalDependentNeighborhood | ( | [out, retval] RtUlong * | pdwNbrs | ) |

For tools where result depends on neighbor faces:

- This should return max required neighbors, ensuring faces that tools are interested in are calculated correctly.

Returns:
  pdwNbrs [out,retval] Number of neighbors to assume for calculations.

HRESULT IRsUnknownMeshModifier::GetOrderingPriority | ( | [out, retval] RtFloat * | pfPriority | ) |

Get the ordering priority for the node

See also:
  MeshmodPriority.h for more info.

Returns:
  pfPriority [out,retval] Returned priority for node.

HRESULT IRsUnknownMeshModifier::GetModifierFlags | ( | RtMeshModifierFlags * | pFlags | ) |

Return mesh modifier flags that describe the nature of modifier:

- Tools can check if they are compatible with changes that node performs.